:class:`Form`
------------------------------------------------------------------------

Attributes
=============

.. currentmodule:: psychopy.visual

.. autosummary:: 

    Form
    Form.win
    Form.verticesPix
    Form.values
    Form.useShaders
    Form.updateOpacity
    Form.updateColors
    Form.units
    Form.style
    Form.size
    Form.setUseShaders
    Form.setSize
    Form.setScrollSpeed
    Form.setRGB
    Form.setPos
    Form.setOri
    Form.setOpacity
    Form.setLineColor
    Form.setLMS
    Form.setForeColor
    Form.setFillColor
    Form.setDepth
    Form.setDKL
    Form.setContrast
    Form.setColor
    Form.setBorderColor
    Form.setBackColor
    Form.setAutoLog
    Form.setAutoDraw
    Form.pos
    Form.overlaps
    Form.ori
    Form.opacity
    Form.name
    Form.lineColor
    Form.legacyStyles
    Form.knownStyles
    Form.importItems
    Form.getData
    Form.formComplete
    Form.foreColor
    Form.fillColor
    Form.draw
    Form.depth
    Form.contrast
    Form.contains
    Form.complete
    Form.colorSpace
    Form.color
    Form.borderColor
    Form.backColor
    Form.autoLog
    Form.autoDraw
    Form.addDataToExp
    
        
Details
=============

.. autoclass:: Form
    :members:
    :undoc-members:
    :inherited-members:
